ServiceException (Avalon Framework 4.1.5 API)
Keywords: org.apache.avalon.framework.service.ServiceException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.avalon.framework.service
Class ServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.avalon.framework.CascadingException
                  org.apache.avalon.framework.service.ServiceException

All Implemented Interfaces:
  CascadingThrowable, Serializable

public class ServiceException
extends CascadingException

The exception thrown to indicate a problem with service. It is usually thrown by ServiceManager or ServiceSelector.

Version:
  CVS $Revision: 1.19 $ $Date: 2003/02/11 15:58:42 $
Author:
  Avalon Development Team
See Also:
  Serialized Form

Constructor Summary
`ServiceException(String message)` Deprecated. use the String,String version instead
`ServiceException(String key, String message)` Construct a new `ServiceException` instance.
`ServiceException(String key, String message, Throwable throwable)` Construct a new `ServiceException` instance.
`ServiceException(String message, Throwable throwable)` Deprecated. use the String,String,Throwable version instead

Method Summary
`String` | `getKey()` Return the key that caused the exception.
`String` | `getMessage()` Override super's message to add role if applicable.
`String` | `getRole()` Deprecated. Use getKey() instead

Methods inherited from class org.apache.avalon.framework.CascadingException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceException

    public ServiceException(String message,
                            Throwable throwable)

  Deprecated. use the String,String,Throwable version instead

  Construct a new `ServiceException` instance.

Parameters:
  `message` - the exception message
  `throwable` - the throwable

### ServiceException

    public ServiceException(String key,
                            String message,
                            Throwable throwable)

  Construct a new `ServiceException` instance.

Parameters:
  `key` - the lookup key
  `message` - the exception message
  `throwable` - the throwable

### ServiceException

    public ServiceException(String message)

  Deprecated. use the String,String version instead

  Construct a new `ServiceException` instance.

Parameters:
  `message` - the exception message

### ServiceException

    public ServiceException(String key,
                            String message)

  Construct a new `ServiceException` instance.

Parameters:
  `key` - the lookup key
  `message` - the exception message

Method Detail

### getKey

    public String getKey()

  Return the key that caused the exception.

  Returns:
    the lookup key triggering the exception

### getRole

    public String getRole()

  Deprecated. Use getKey() instead

  Return the role that caused the exception

  Returns:
    the the lookup key triggering the exception

### getMessage

    public String getMessage()

  Override super's message to add role if applicable.

  Returns:
    a message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Apache Software Foundation. All Rights Reserved.